You are not logged in.

#1 2022-09-19 13:31:33

nibazshab
Member
Registered: 2022-08-25
Posts: 13

[SOLVE] Could not create the Java Virtual Machine ?

This is my process to install jdk, it looks don't have error

╭─root at server in /usr/local/minecraft 22-09-19 - 21:29:10
╰─○ pacman -S jdk-openjdk
正在解析依赖关系...
正在查找软件包冲突...
警告:检测到循环依赖:
警告:harfbuzz 将在它 freetype2 的依赖关系之前被安装

软件包 (17) freetype2-2.12.1-1  giflib-5.2.1-2  graphite-1:1.3.14-2  harfbuzz-5.2.0-1
            hicolor-icon-theme-0.17-2  java-environment-common-3-3  java-runtime-common-3-3
            jre-openjdk-18.0.2.1.u0-1  jre-openjdk-headless-18.0.2.1.u0-1  lcms2-2.13.1-1
            libjpeg-turbo-2.1.4-2  libnet-1:1.1.6-1  libpng-1.6.38-1  libtiff-4.4.0-4  nspr-4.35-1
            nss-3.83-1  jdk-openjdk-18.0.2.1.u0-1

下载大小:      119.43 MiB
全部安装大小:  278.85 MiB

:: 进行安装吗? [Y/n] y
:: 正在获取软件包......
 jdk-openjdk-18.0.2.1.u0-1-...    76.7 MiB  18.1 MiB/s 00:04 [################################] 100%
 jre-openjdk-headless-18.0....    37.2 MiB  16.2 MiB/s 00:02 [################################] 100%
 nss-3.83-1-x86_64              1580.1 KiB  3.15 MiB/s 00:00 [################################] 100%
 harfbuzz-5.2.0-1-x86_64        1028.6 KiB  2.79 MiB/s 00:00 [################################] 100%
 libtiff-4.4.0-4-x86_64          879.0 KiB  1099 KiB/s 00:01 [################################] 100%
 freetype2-2.12.1-1-x86_64       498.4 KiB  1466 KiB/s 00:00 [################################] 100%
 libjpeg-turbo-2.1.4-2-x86_64    452.2 KiB  1370 KiB/s 00:00 [################################] 100%
 libpng-1.6.38-1-x86_64          248.2 KiB  1128 KiB/s 00:00 [################################] 100%
 graphite-1:1.3.14-2-x86_64      218.2 KiB   992 KiB/s 00:00 [################################] 100%
 lcms2-2.13.1-1-x86_64           212.2 KiB   786 KiB/s 00:00 [################################] 100%
 nspr-4.35-1-x86_64              198.3 KiB   901 KiB/s 00:00 [################################] 100%
 jre-openjdk-18.0.2.1.u0-1-...   183.4 KiB   873 KiB/s 00:00 [################################] 100%
 libnet-1:1.1.6-1-x86_64          96.3 KiB   535 KiB/s 00:00 [################################] 100%
 giflib-5.2.1-2-x86_64            73.7 KiB   461 KiB/s 00:00 [################################] 100%
 hicolor-icon-theme-0.17-2-any    10.2 KiB   171 KiB/s 00:00 [################################] 100%
 java-runtime-common-3-3-any       4.9 KiB  81.2 KiB/s 00:00 [################################] 100%
 java-environment-common-3-...     2.5 KiB  31.2 KiB/s 00:00 [################################] 100%
 全部 (17/17)                    119.4 MiB  8.47 MiB/s 00:14 [################################] 100%
(17/17) 正在检查密钥环里的密钥                               [################################] 100%
(17/17) 正在检查软件包完整性                                 [################################] 100%
(17/17) 正在加载软件包文件                                   [################################] 100%
(17/17) 正在检查文件冲突                                     [################################] 100%
(17/17) 正在检查可用存储空间                                 [################################] 100%
:: 正在处理软件包的变化...
( 1/17) 正在安装 java-runtime-common                         [################################] 100%
For the complete set of Java binaries to be available in your PATH,
you need to re-login or source /etc/profile.d/jre.sh
Please note that this package does not support forcing JAVA_HOME as former package java-common did
( 2/17) 正在安装 nspr                                        [################################] 100%
( 3/17) 正在安装 nss                                         [################################] 100%
( 4/17) 正在安装 libjpeg-turbo                               [################################] 100%
libjpeg-turbo 的可选依赖
    java-runtime>11: for TurboJPEG Java wrapper [等待中]
( 5/17) 正在安装 libtiff                                     [################################] 100%
libtiff 的可选依赖
    freeglut: for using tiffgt
( 6/17) 正在安装 lcms2                                       [################################] 100%
( 7/17) 正在安装 libnet                                      [################################] 100%
( 8/17) 正在安装 libpng                                      [################################] 100%
( 9/17) 正在安装 graphite                                    [################################] 100%
(10/17) 正在安装 harfbuzz                                    [################################] 100%
harfbuzz 的可选依赖
    cairo: hb-view program
    chafa: hb-view program
(11/17) 正在安装 freetype2                                   [################################] 100%
(12/17) 正在安装 jre-openjdk-headless                        [################################] 100%
jre-openjdk-headless 的可选依赖
    java-rhino: for some JavaScript support
(13/17) 正在安装 giflib                                      [################################] 100%
(14/17) 正在安装 jre-openjdk                                 [################################] 100%
when you use a non-reparenting window manager,
set _JAVA_AWT_WM_NONREPARENTING=1 in /etc/profile.d/jre.sh
jre-openjdk 的可选依赖
    alsa-lib: for basic sound support
    gtk2: for the Gtk+ 2 look and feel - desktop usage
    gtk3: for the Gtk+ 3 look and feel - desktop usage
(15/17) 正在安装 java-environment-common                     [################################] 100%
(16/17) 正在安装 hicolor-icon-theme                          [################################] 100%
(17/17) 正在安装 jdk-openjdk                                 [################################] 100%
:: 正在运行事务后钩子函数...
(1/1) Arming ConditionNeedsUpdate...

It looks don't have the way to set -Xms / -Xmx ?

╭─root at server in /usr/local/minecraft 22-09-19 - 21:29:45
╰─○ java -Xincgc -Xms512m -Xmx2048m -jar spigot-1.18.2.jar nogui
-agentlib:                      -da                             -enableassertions
-agentpath:                     -disableassertions              -enablesystemassertions
-client                         -disablesystemassertions        -esa
-d32                            -dsa                            -javaagent:
-d64                            -ea                             -server
-classpath      -cp       -- specify path for user class files
-D                        -- specify a property
-help           -?        -- print help message
-jar                      -- specify a program encapsulated as jar
-showversion              -- print version and continue
-splash:                  -- show splash screen with specified image
-verbose:class  -verbose  -- print class information
-verbose:gc               -- print gc information
-verbose:jni              -- print JNI information
-version                  -- print version
-X                        -- non-standard java option

look this

╭─root at server in /usr/local/minecraft 22-09-19 - 21:30:32
╰─○ ls
spigot-1.18.2.jar
╭─root at server in /usr/local/minecraft 22-09-19 - 21:30:33
╰─○ java -Xincgc -Xms512m -Xmx2048m -jar spigot-1.18.2.jar nogui
Unrecognized option: -Xincgc
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

Last edited by nibazshab (2022-09-22 15:59:52)

Offline

#2 2022-09-19 16:28:39

Morta
Member
Registered: 2019-07-07
Posts: 463

Re: [SOLVE] Could not create the Java Virtual Machine ?

You have to remove -Xincgc or at least ingc of the pattern

Offline

#3 2022-09-20 04:31:13

nibazshab
Member
Registered: 2022-08-25
Posts: 13

Re: [SOLVE] Could not create the Java Virtual Machine ?

i remove -Xincgc and -Xms512m -Xmx2048m, it even complain -jar unrecognized

╭─root at server in /usr/local/minecraft 22-09-20 - 12:29:03
╰─○ ls
spigot-1.18.2.jar
╭─root at server in /usr/local/minecraft 22-09-20 - 12:29:08
╰─○ java -Xms512m -Xmx2048m -jar spigot-1.18.2.jar nogui
Unrecognized option: -jar spigot-1.18.2.jar nogui
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

╭─root at server in /usr/local/minecraft 22-09-20 - 12:29:40
╰─○ java -jar spigot-1.18.2.jar nogui
Unrecognized option: -jar spigot-1.18.2.jar nogui
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

╭─root at server in /usr/local/minecraft 22-09-20 - 12:29:43
╰─○ java -jar spigot-1.18.2.jar
Unrecognized option: -jar spigot-1.18.2.jar
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

Last edited by nibazshab (2022-09-20 04:33:24)

Offline

#4 2022-09-20 11:33:56

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 10,422

Re: [SOLVE] Could not create the Java Virtual Machine ?

spigot-1.18.2.jar

Latest version is 1.19.2 according to spigot website .

Also you probably downloaded something and installed it in /usr/local/ .

Did you consider trying https://aur.archlinux.org/packages/spigot ?


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#5 2022-09-21 04:43:03

nibazshab
Member
Registered: 2022-08-25
Posts: 13

Re: [SOLVE] Could not create the Java Virtual Machine ?

Lone_Wolf wrote:

spigot-1.18.2.jar

Latest version is 1.19.2 according to spigot website .

Also you probably downloaded something and installed it in /usr/local/ .

Did you consider trying https://aur.archlinux.org/packages/spigot ?

No, i don't want to use AUR spigot, it have many Dependencies like sudo, tmux...

And my Minecraft is 1.18.2, if i use spigot-1.19.2, can i playing successfully?

My /usr/local/ only have a nginx, i think it not path problem, because i trying at /tmp ( just for a test )

-rwxrwxrwx 1 root root 65M  6月 8日 12:05 spigot-1.18.2.jar
╭─root at server in /tmp/minecraft 22-09-21 - 12:39:57
╰─○ java -Xms512m -Xmx2048m -jar spigot-1.18.2.jar nogui
Unrecognized option: -jar spigot-1.18.2.jar nogui
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

Last edited by nibazshab (2022-09-21 04:45:46)

Offline

#6 2022-09-21 05:25:07

skunktrader
Member
From: Brisbane, Australia
Registered: 2010-02-14
Posts: 1,480

Re: [SOLVE] Could not create the Java Virtual Machine ?

java -version

Offline

#7 2022-09-21 06:28:05

nibazshab
Member
Registered: 2022-08-25
Posts: 13

Re: [SOLVE] Could not create the Java Virtual Machine ?

this

╭─root at server in ~ 22-09-21 - 14:27:08
╰─○ java --version
openjdk 18.0.2 2022-07-19
OpenJDK Runtime Environment (build 18.0.2+0)
OpenJDK 64-Bit Server VM (build 18.0.2+0, mixed mode)

and

╭─root at server in ~ 22-09-21 - 14:27:13
╰─○ pacman -Qs java
local/ca-certificates-utils 20220905-1
    Common CA certificates (utilities)
local/java-environment-common 3-3
    Common files for Java Development Kits
local/java-runtime-common 3-3
    Common files for Java Runtime Environments
local/jdk-openjdk 18.0.2.1.u0-1
    OpenJDK Java 18 development kit
local/jre-openjdk 18.0.2.1.u0-1
    OpenJDK Java 18 full runtime environment
local/jre-openjdk-headless 18.0.2.1.u0-1
    OpenJDK Java 18 headless runtime environment

Offline

#8 2022-09-22 14:55:10

nibazshab
Member
Registered: 2022-08-25
Posts: 13

Re: [SOLVE] Could not create the Java Virtual Machine ?

Can anyone help me ?

Offline

#9 2022-09-22 15:11:02

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 17,069

Re: [SOLVE] Could not create the Java Virtual Machine ?

Are you actually passing the correct file name? Also don't run things in /tmp that has many potentially affecting stipulations, use a normal directory on the outside. And try giving the explicit path e.g

java -jar ./spigot-1.18.2.jar nogui

Last edited by V1del (2022-09-22 15:12:16)

Offline

#10 2022-09-22 15:42:53

nibazshab
Member
Registered: 2022-08-25
Posts: 13

Re: [SOLVE] Could not create the Java Virtual Machine ?

i sure i typing the correct file name, and i trying run it at /tmp, /usr/local, /root, /opt , all complain to me this:

Unrecognized option: -jar spigot-1.18.2.jar
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

when i use relative path \ absolute path, it just become this:

Unrecognized option: -jar .spigot-1.18.2.jar \ /path/spigot-1.18.2.jar

Offline

#11 2022-09-22 15:59:20

nibazshab
Member
Registered: 2022-08-25
Posts: 13

Re: [SOLVE] Could not create the Java Virtual Machine ?

i success now !!!!

just i pacman -Rsn jdk-openjdk and pacman -Syyu and pacman -S jdk-openjdk, i success to run spigot

i don't know why, yesterday and the day before yesterday i also pacman -Rsn jdk-openjdk and pacman -Syyu and pacman -S jdk-openjdk, but have no use, but today i success

Offline

Board footer

Powered by FluxBB